Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MSXML_DOMDocument Class Reference

XML document as represented by msxml. More...

`#include <MSXML_DOMDocument.h>`

Inheritance diagram for FIX::MSXML_DOMDocument:
[legend]
Collaboration diagram for FIX::MSXML_DOMDocument:
[legend]

List of all members.

## Public Member Functions

| MSXML_DOMDocument () throw ( ConfigError )
| ~MSXML_DOMDocument ()
bool | load (std::istream &)
bool | load (const std::string &)
bool | xml (std::ostream &)
DOMNodePtr | getNode (const std::string &)

## Private Attributes

MSXML2::IXMLDOMDocument2 * | m_pDoc

## Detailed Description

XML document as represented by msxml.

Definition at line 72 of file MSXML_DOMDocument.h.

## Constructor & Destructor Documentation

FIX::MSXML_DOMDocument::MSXML_DOMDocument | ( |  | ) | throw ( ConfigError )

FIX::MSXML_DOMDocument::~MSXML_DOMDocument | ( |  | ) |

## Member Function Documentation

DOMNodePtr FIX::MSXML_DOMDocument::getNode | ( | const std::string & |  | ) | `[virtual]`

Implements FIX::DOMDocument.

bool FIX::MSXML_DOMDocument::load | ( | const std::string & |  | ) | `[virtual]`

Implements FIX::DOMDocument.

bool FIX::MSXML_DOMDocument::load | ( | std::istream & |  | ) | `[virtual]`

Implements FIX::DOMDocument.

bool FIX::MSXML_DOMDocument::xml | ( | std::ostream & |  | ) | `[virtual]`

Implements FIX::DOMDocument.

## Member Data Documentation

MSXML2::IXMLDOMDocument2* FIX::MSXML_DOMDocument::m_pDoc`[private]`

Definition at line 85 of file MSXML_DOMDocument.h.

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MSXML_DOMDocument.h